{% extends 'accounts/base_accounts.html' %}

{% load static %}

{% block stylesheet %}
    <link rel="stylesheet" href="{% static 'css/accounts.css' %}">
{% endblock %}

{% block body %}
    <div class="container">
        <h1 class="text-center logo my-4">
            <a href="{% url 'index' %}">Django Boards</a>
        </h1>
        <div class="row justify-content-center">
            <div class="col-lg-4 col-md-6 col-sm-8">
                <div class="card">
                    <div class="card-body">
                        <h3 class="card-title">Log in</h3>
                        <form method="post" novalidate>
                            {% csrf_token %}
                            <input type="hidden" name="next" value="{{ next }}">
                            {% include 'includes/form.html' %}
                            <button type="submit" class="btn btn-primary btn-block">Log in</button>
                        </form>
                    </div>
                    <div class="card-footer text-muted text-center">
                        New to Django Boards? <a href="{% url 'signup' %}">Sign up</a>
                    </div>
                </div>
                <div class="text-center py-2">
                    <small>
                        <a href="{% url 'password_reset' %}" class="text-muted">Forgot your password?</a>
                    </small>
                </div>
            </div>
        </div>
    </div>
{% endblock %}